LibreOffice LibreOffice 25.2 SDK API Reference

Modules | Variables
PropertyConcept.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::beans
| Java beans-like property access and introspection.

## Constant Groups
constants | com::sun::star::beans::PropertyConcept
| These constants are used to specify concepts of the introspection which apply to properties and to the methods which represent attributes.

## Variables
const long | ALL = -1
| This value is used to query for all properties. More...
const long | DANGEROUS = 1
| specifies that the change or retrieval of this property directly by the user can result in an unstable state (deadlock, application crash, security hole, etc.) More...
const long | PROPERTYSET = 2
| specifies all properties which are reachable by XPropertySet, XFastPropertySet or XMultiPropertySet. More...
const long | ATTRIBUTES = 4
| specifies all properties which are actually attributes of interfaces. More...
const long | METHODS = 8
| specifies all properties which are represented by getter or setter methods. More...